List measured results
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"attributedConversions": [
{
"attributionLabel": "GA4-attributed",
"conversions": 1,
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25",
"state": "measured",
"windowDays": 30
}
],
"items": [
{
"overlappingActions": [
{
"state": "available",
"targetUrl": "<string>",
"windowDays": 123,
"windowStartsAt": "2023-11-07T05:31:56Z",
"windowEndsAt": "2023-11-07T05:31:56Z",
"actions": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"interventionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionTitle": "<string>",
"method": "v1",
"result": "improved",
"resultAvailableAt": "2023-11-07T05:31:56Z",
"analyticsComparison": {
"provider": "<string>",
"connectionId": "<string>",
"generation": 123,
"definitionHash": "<string>",
"sessionsCovered": true,
"conversionsCovered": true,
"before": {
"sessions": 123,
"conversions": 123
},
"after": {
"sessions": 123,
"conversions": 123
},
"recorded": {
"before": {
"sessions": 123,
"conversions": 123
},
"after": {
"sessions": 123,
"conversions": 123
}
}
},
"measuredAt": "2023-11-07T05:31:56Z",
"citationConfidence": "<string>",
"answerFetchConfidence": "<string>",
"citationsBefore": 123,
"citationsAfter": 123,
"citationDelta": 123,
"answerFetchesBefore": 123,
"answerFetchesAfter": 123,
"answerFetchDelta": 123,
"evidence": {
"citations": {
"before": 123,
"after": 123,
"beforeActiveDays": 123,
"afterActiveDays": 123,
"beforeProbeAnswers": 123,
"afterProbeAnswers": 123,
"dispersion": 2,
"fullCoverage": true,
"beforeExposureDays": 123,
"afterExposureDays": 123,
"direction": -1,
"pValue": 123
},
"answerFetches": {
"before": 123,
"after": 123,
"beforeActiveDays": 123,
"afterActiveDays": 123,
"beforeProbeAnswers": 123,
"afterProbeAnswers": 123,
"dispersion": 2,
"fullCoverage": true,
"beforeExposureDays": 123,
"afterExposureDays": 123,
"direction": -1,
"pValue": 123
},
"rule": {
"significance": 123,
"minCount": 123,
"minActiveDays": 123,
"minRelativeChange": 123
},
"redirect404": {
"generation": "redirect-404-v1",
"source": "llm_traffic_hourly",
"requestedPath": "<string>",
"hosts": [
"<string>"
],
"state": "stopped",
"before": 1,
"after": 1,
"beforeCoveredDays": 1,
"afterCoveredDays": 1,
"beforeRequiredDays": 1,
"afterRequiredDays": 1,
"beforeStart": "2023-11-07T05:31:56Z",
"beforeEnd": "2023-11-07T05:31:56Z",
"afterStart": "2023-11-07T05:31:56Z",
"afterEnd": "2023-11-07T05:31:56Z",
"reason": "window_open"
},
"agentScope": {
"generation": "robots-unblock-scope-v1",
"source": "llm_traffic_hourly",
"origins": [
"<string>"
],
"state": "measured",
"coverage": "verified",
"hosts": [
{
"host": "<string>",
"coverage": "verified"
}
],
"reason": "window_open",
"beforeStart": "2023-11-07T05:31:56Z",
"beforeEnd": "2023-11-07T05:31:56Z",
"afterStart": "2023-11-07T05:31:56Z",
"afterEnd": "2023-11-07T05:31:56Z",
"agents": [
{
"provider": "<string>",
"botClass": "answer_fetcher",
"metric": "answer_fetches",
"hosts": [
"<string>"
],
"before": 1,
"after": 1,
"coverage": "verified"
}
]
}
},
"lookalike": {
"hostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"registrableDomain": "<string>",
"liveOn": "2023-12-25",
"beforeFrom": "2023-12-25",
"beforeTo": "2023-12-25",
"afterFrom": "2023-12-25",
"afterTo": "2023-12-25",
"result": "improved",
"overall": {
"before": {
"checked": 1,
"citing": 1,
"rate": 123
},
"after": {
"checked": 1,
"citing": 1,
"rate": 123
}
},
"platforms": [
{
"platform": "<string>",
"before": {
"checked": 1,
"citing": 1,
"rate": 123
},
"after": {
"checked": 1,
"citing": 1,
"rate": 123
},
"result": "improved",
"pValue": 123
}
],
"rule": {
"significance": 123,
"minCount": 123,
"minActiveDays": 123,
"minRelativeChange": 123
}
}
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"pageSize": 50,
"totalCount": 1
},
"scoreboard": {
"conclusiveCount": 1,
"improvedCount": 1,
"mixedCount": 1,
"noClearChangeCount": 1,
"declinedCount": 1,
"stillMeasuringCount": 1,
"unmeasuredCount": 1,
"improvementRate": 0.5,
"combinedCitationLift": 123
},
"window": {
"days": 123,
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25"
},
"overlappingActions": [
{
"state": "available",
"targetUrl": "<string>",
"windowDays": 123,
"windowStartsAt": "2023-11-07T05:31:56Z",
"windowEndsAt": "2023-11-07T05:31:56Z",
"actions": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"impactWindows": [
{
"windowDays": 7,
"evidenceQuality": "still_measuring",
"citationDelta": 123,
"presenceDelta": 123,
"answerFetchEvidenceQuality": "still_measuring",
"answerFetchDelta": 123
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}Results
List measured results
Returns the Results ledger and scoreboard, plus analytics-attributed conversions for fixed 30 and 90 day windows. An unmeasured conversion window returns null. Only the fixed 7, 30, 90, and 365 day ledger windows are accepted. Requires the outcomes.read scope.
GET
/
projects
/
{projectId}
/
outcomes
/
ledger
List measured results
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/outcomes/ledger")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"attributedConversions": [
{
"attributionLabel": "GA4-attributed",
"conversions": 1,
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25",
"state": "measured",
"windowDays": 30
}
],
"items": [
{
"overlappingActions": [
{
"state": "available",
"targetUrl": "<string>",
"windowDays": 123,
"windowStartsAt": "2023-11-07T05:31:56Z",
"windowEndsAt": "2023-11-07T05:31:56Z",
"actions": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"interventionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionTitle": "<string>",
"method": "v1",
"result": "improved",
"resultAvailableAt": "2023-11-07T05:31:56Z",
"analyticsComparison": {
"provider": "<string>",
"connectionId": "<string>",
"generation": 123,
"definitionHash": "<string>",
"sessionsCovered": true,
"conversionsCovered": true,
"before": {
"sessions": 123,
"conversions": 123
},
"after": {
"sessions": 123,
"conversions": 123
},
"recorded": {
"before": {
"sessions": 123,
"conversions": 123
},
"after": {
"sessions": 123,
"conversions": 123
}
}
},
"measuredAt": "2023-11-07T05:31:56Z",
"citationConfidence": "<string>",
"answerFetchConfidence": "<string>",
"citationsBefore": 123,
"citationsAfter": 123,
"citationDelta": 123,
"answerFetchesBefore": 123,
"answerFetchesAfter": 123,
"answerFetchDelta": 123,
"evidence": {
"citations": {
"before": 123,
"after": 123,
"beforeActiveDays": 123,
"afterActiveDays": 123,
"beforeProbeAnswers": 123,
"afterProbeAnswers": 123,
"dispersion": 2,
"fullCoverage": true,
"beforeExposureDays": 123,
"afterExposureDays": 123,
"direction": -1,
"pValue": 123
},
"answerFetches": {
"before": 123,
"after": 123,
"beforeActiveDays": 123,
"afterActiveDays": 123,
"beforeProbeAnswers": 123,
"afterProbeAnswers": 123,
"dispersion": 2,
"fullCoverage": true,
"beforeExposureDays": 123,
"afterExposureDays": 123,
"direction": -1,
"pValue": 123
},
"rule": {
"significance": 123,
"minCount": 123,
"minActiveDays": 123,
"minRelativeChange": 123
},
"redirect404": {
"generation": "redirect-404-v1",
"source": "llm_traffic_hourly",
"requestedPath": "<string>",
"hosts": [
"<string>"
],
"state": "stopped",
"before": 1,
"after": 1,
"beforeCoveredDays": 1,
"afterCoveredDays": 1,
"beforeRequiredDays": 1,
"afterRequiredDays": 1,
"beforeStart": "2023-11-07T05:31:56Z",
"beforeEnd": "2023-11-07T05:31:56Z",
"afterStart": "2023-11-07T05:31:56Z",
"afterEnd": "2023-11-07T05:31:56Z",
"reason": "window_open"
},
"agentScope": {
"generation": "robots-unblock-scope-v1",
"source": "llm_traffic_hourly",
"origins": [
"<string>"
],
"state": "measured",
"coverage": "verified",
"hosts": [
{
"host": "<string>",
"coverage": "verified"
}
],
"reason": "window_open",
"beforeStart": "2023-11-07T05:31:56Z",
"beforeEnd": "2023-11-07T05:31:56Z",
"afterStart": "2023-11-07T05:31:56Z",
"afterEnd": "2023-11-07T05:31:56Z",
"agents": [
{
"provider": "<string>",
"botClass": "answer_fetcher",
"metric": "answer_fetches",
"hosts": [
"<string>"
],
"before": 1,
"after": 1,
"coverage": "verified"
}
]
}
},
"lookalike": {
"hostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"registrableDomain": "<string>",
"liveOn": "2023-12-25",
"beforeFrom": "2023-12-25",
"beforeTo": "2023-12-25",
"afterFrom": "2023-12-25",
"afterTo": "2023-12-25",
"result": "improved",
"overall": {
"before": {
"checked": 1,
"citing": 1,
"rate": 123
},
"after": {
"checked": 1,
"citing": 1,
"rate": 123
}
},
"platforms": [
{
"platform": "<string>",
"before": {
"checked": 1,
"citing": 1,
"rate": 123
},
"after": {
"checked": 1,
"citing": 1,
"rate": 123
},
"result": "improved",
"pValue": 123
}
],
"rule": {
"significance": 123,
"minCount": 123,
"minActiveDays": 123,
"minRelativeChange": 123
}
}
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"pageSize": 50,
"totalCount": 1
},
"scoreboard": {
"conclusiveCount": 1,
"improvedCount": 1,
"mixedCount": 1,
"noClearChangeCount": 1,
"declinedCount": 1,
"stillMeasuringCount": 1,
"unmeasuredCount": 1,
"improvementRate": 0.5,
"combinedCitationLift": 123
},
"window": {
"days": 123,
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25"
},
"overlappingActions": [
{
"state": "available",
"targetUrl": "<string>",
"windowDays": 123,
"windowStartsAt": "2023-11-07T05:31:56Z",
"windowEndsAt": "2023-11-07T05:31:56Z",
"actions": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"impactWindows": [
{
"windowDays": 7,
"evidenceQuality": "still_measuring",
"citationDelta": 123,
"presenceDelta": 123,
"answerFetchEvidenceQuality": "still_measuring",
"answerFetchDelta": 123
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}Authorizations
bearerAuthoauthBearer